import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, OnDestroy, QueryList, Renderer2 } from '@angular/core';
import { SlideComponent } from './slide.component';
import { CarouselConfig } from './carousel.config';
import { BooleanInput, NumberInput } from '@angular/cdk/coercion';
import * as i0 from "@angular/core";
export declare enum Direction {
    UNKNOWN = 0,
    NEXT = 1,
    PREV = 2
}
/**
 * Base element to create carousel
 */
export declare class CarouselComponent implements OnDestroy, AfterViewInit {
    protected el: ElementRef;
    private cdRef;
    private renderer;
    SWIPE_ACTION: {
        LEFT: string;
        RIGHT: string;
    };
    _slidesList: QueryList<SlideComponent>;
    get slides(): SlideComponent[];
    private _destroy$;
    protected currentInterval: any;
    protected isPlaying: boolean;
    protected destroyed: boolean;
    protected animationEnd: boolean;
    protected _currentActiveSlide: number;
    protected carouselIndicators: any;
    isBrowser: any;
    get noWrap(): boolean;
    set noWrap(value: BooleanInput);
    private _noWrap;
    get noPause(): boolean;
    set noPause(value: BooleanInput);
    private _noPause;
    get isControls(): boolean;
    set isControls(value: BooleanInput);
    private _isControls;
    get keyboard(): boolean;
    set keyboard(value: BooleanInput);
    private _keyboard;
    class: string;
    type: string;
    animation: string;
    get activeSlideIndex(): number;
    set activeSlideIndex(value: NumberInput);
    private _activeSlideIndex;
    get allowSwipe(): boolean;
    set allowSwipe(value: BooleanInput);
    private _allowSwipe;
    activeSlideChange: EventEmitter<any>;
    set activeSlide(value: NumberInput);
    get activeSlide(): number;
    protected _interval: number;
    checkNavigation(): boolean;
    checkDots(): boolean;
    getImg(slide: any): any;
    get interval(): number;
    set interval(value: NumberInput);
    get isBs4(): boolean;
    constructor(config: CarouselConfig, el: ElementRef, platformId: string, cdRef: ChangeDetectorRef, renderer: Renderer2);
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    swipe(action?: string): void;
    nextSlide(force?: boolean): void;
    previousSlide(force?: boolean): void;
    protected fadeAnimation(goToIndex: number, direction?: any): void;
    protected slideAnimation(goToIndex: number, direction: any): void;
    selectSlide(index: number): void;
    play(): void;
    pause(): void;
    getCurrentSlideIndex(): number;
    isLast(index: number): boolean;
    private findNextSlideIndex;
    private _select;
    private restartTimer;
    private resetTimer;
    protected hasClass(el: any, className: any): any;
    protected classAdd(el: any, className: any): void;
    protected removeClass(el: any, className: any): void;
    keyboardControl(event: any): void;
    focus(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CarouselComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CarouselComponent, "mdb-carousel", never, { "noWrap": "noWrap"; "noPause": "noPause"; "isControls": "isControls"; "keyboard": "keyboard"; "class": "class"; "type": "type"; "animation": "animation"; "activeSlideIndex": "activeSlideIndex"; "allowSwipe": "allowSwipe"; "activeSlide": "activeSlide"; "interval": "interval"; }, { "activeSlideChange": "activeSlideChange"; }, ["_slidesList"], ["*"], false, never>;
}
